Subject: Re: bug#40826: core-updates: guile: warning: failed to install locale

From: Marius Bakke <[email-masked]>
Date: Fri, 24 Apr 2020 23:44:18 +0200

sirgazil via Bug reports for GNU Guix <[email-masked]> writes:

> I'm using the GNU system distributed by Guix.
>
>
> ## Steps to reproduce
>
> 1. guix pull --branch=core-updates
> 2. guix --version (or any other guix command)
>
>
> ## Expected result
>
> ★★★★★★★★★★★★★★★★★★★★
> $ guix --version
> guix (GNU Guix) 4affa9182d93c77505c40e95964b8ab9d436298b
> Copyright (C) 2020 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> ★★★★★★★★★★★★★★★★★★★★
>
>
> ## Unexpected result
>
> ★★★★★★★★★★★★★★★★★★★★
> $ guix --version
> guile: warning: failed to install locale
> hint: Consider installing the `glibc-utf8-locales' or `glibc-locales' package and
> defining `GUIX_LOCPATH', along these lines:
>
>      guix package -i glibc-utf8-locales
>      export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"
>
> See the "Application Setup" section in the manual, for more info.
>
> guix (GNU Guix) 4affa9182d93c77505c40e95964b8ab9d436298b
> Copyright (C) 2020 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law
> ★★★★★★★★★★★★★★★★★★★★
>
> This warning is confusing because I'm using the GNU system. The "Application Setup" section, as far as I understand, is for Guix on foreign distros.

This is expected, because the new Guix is built against a different
glibc, and the updated glibc-locales are not yet installed on your
system.

It will go away after reconfiguring the system on the branch, but then
you will get the same warning if you try using packages from older
generations.

You can add (locale-libcs (list glibc glibc-2.29)) in your OS
configuration to get rid of the warning in the latter case.

Closing as not a bug!